/* failureTime.cpp uses a forever loop and a sentinel to process a
 * collection of failure times and find the mean time to failure.
 *
 *  Input:        a collection of component failure times
 *  Precondition: failure times >= 0
 *  Output:       prompts and the average of the failure times
 ****************************************************************/

#include <iostream>              // <<, >>, cout, cin
using namespace std;

int main()
{
   cout << "Computing Component Mean Time to Failure\n\n";

   int    numComponents = 0;
   double failureTime,
          failureTimeSum = 0.0;


   for (;;)	 // or while (true)
   {
      cout << "Enter a failure time (-1 to quit): ";
      cin >> failureTime;

      if (failureTime < 0) break;

      failureTimeSum += failureTime;
      numComponents++;
   }

   if (numComponents != 0)
      cout << "\nThe mean failure time of the " 
           << numComponents << " components is " 
           << failureTimeSum / numComponents << endl;
   else
      cerr << "\nNo failure times to process!\n";



   return 0;
}
